<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:background="@drawable/bg_meditation_play_float"
        android:layout_marginHorizontal="16dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/csl_root_layout"
            android:layout_width="match_parent"
            android:layout_height="56dp"
            android:background="@drawable/bg_play_meditation_float_view">

        <ImageView
                android:id="@+id/iv_close"
                android:layout_width="28dp"
                android:layout_height="29dp"
                android:paddingHorizontal="5dp"
                android:paddingVertical="5dp"
                android:layout_marginStart="15dp"
                android:src="@drawable/icon_close_meditation_play_float_view"
                app:layout_constraintEnd_toStartOf="@id/ll_meditation_info"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

        <LinearLayout
                android:id="@+id/ll_meditation_info"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginStart="20dp"
                android:gravity="center_vertical"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/iv_close" >

            <androidx.cardview.widget.CardView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:cardCornerRadius="8dp"
                    app:cardElevation="0dp">

                <ImageView
                        android:id="@+id/iv_cover"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:scaleType="centerCrop"
                        android:src="@drawable/platform_loading_logo" />

            </androidx.cardview.widget.CardView>



            <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="165dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:maxLines="1"
                    android:ellipsize="end"
                    android:textColor="@color/white"
                    android:textSize="16sp"
                    tools:text="睡眠安抚睡眠安抚睡眠安抚睡眠安抚"/>

        </LinearLayout>

        <FrameLayout
                android:id="@+id/fl_layout"
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:layout_marginEnd="10dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent">

            <io.feeeei.circleseekbar.CircleSeekBar
                    android:id="@+id/progress_bar"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_gravity="center"
                    app:wheel_unreached_color="#33FFFFFF"
                    app:wheel_reached_color="#FFFFFF"
                    app:wheel_unreached_width="2dp"
                    app:wheel_reached_width="2dp"/>

            <ImageView
                    android:id="@+id/iv_play_status"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:padding="5dp"
                    android:layout_gravity="center"
                    android:src="@drawable/icon_meditation_float_pause"/>

        </FrameLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


</FrameLayout>